var temaSeleccionado = 'css/theme3.css';
var menu_display;
var altoVentana;
var altoBoton;
var menuPrincipal = $('#menu');
var ancho_menu = menuPrincipal.height();
var cargar = $('.cargar');
var altoBoton = (($(window).height()) / ($('#menu li').length)) - 2;
var altoVentana = $(window).height();
var altoHeader = $('header').height();
//var anchoVentana = $(window).width();
var anchoVentana = $('.submenu').width();
var activo = 0;
var menuLineas = $('#panel-lineas');
$('#menu-container').height(altoVentana);

var apretado = 0;

//cambiar el tema
function theme(archivo) {
    //cambiar el css
    document.getElementById('theme').href = archivo;
    //crear el storage
    localStorage.setItem('interface', archivo);
}


$(document).ready(function () {
    //ajustar la interfaz
    customUI();

    //ajustar los botones de las lineas
    $('.boton-linea').css({
        'width': ((anchoVentana / 3) - 4) + 'px',
        'margin-right':'4px'
        //'margin-left':'2px'
    });


    //arreglo
    if (!window.localStorage.getItem('arreglo')) {
        //borrar el theme
        window.localStorage.removeItem('interface');
        //generarlo de vuelta
        window.localStorage.setItem('interface', temaSeleccionado);
        //generar el arreglo
        window.localStorage.setItem('arreglo', '1');
    }

    //ver si eligio el tema
    if (localStorage.getItem('interface')) {
        //poner el tema
        theme(localStorage.getItem('interface'));
        //aviso(localStorage.getItem('interface'));
    } else {
        window.localStorage.setItem('interface', temaSeleccionado);
    }

});

//function ventana(menu) {
//    $('#cargas').load(menu).css({'display': 'block'});
//}

//mostrar menu principal
var abierto = 0;

//menu principal
function menu() {
    if (abierto == 0) {
        $('#menu-principal').animate({
            'right': '0'
        }, 100, function () {
            abierto = 1;
        }).css({
            'z-index': '997'
        })
    }

    if (abierto == 1) {
        $('#menu-principal').animate({
            'right': '-104%'
        }, 100, function () {
            abierto = 0;
        }).css({
            'z-index': '200'
        })
    }
}

//mostrar el submenu
abiertosub = 0;
//$('.submenu').load('inc/menuLineas.html').hide();

function submenu(menuAbrir, id) {
    if (abiertosub == 0) {
        //$(id).after('<div class="submenu"></div>');

        $('.submenu').show();

        //$('.submenu').load('inc/' + menuAbrir);

        abiertosub = 1;

    } else {
        $('.submenu').hide();
        abiertosub = 0;
    }

}

//cerrar submenu
function cerrarSubs() {
    $('.submenu').hide();
    abiertosub = 0;
}

//centrar
function centrar() {
    $('#loading').css({
        position: 'absolute',
        left: ($(window).width() - $('#loading').outerWidth()) / 2,
        top: ($(window).height() - $('#loading').outerHeight()) / 2
    });
}

//menu de opeciones
function menuOpciones(menu) {
    abiertosub = 1;
    var menuSec = $('#'+menu);

    //cargar el menu
    menuSec.animate({
        'left': '0'
    },200);

}
//function menuOpciones(menu) {
//    abiertosub = 1;
//    var menuSec = $('#menu-secundario');
//
//    //cargar el menu
//    menuSec.load(menu, function () {
//        menuSec.animate({
//            'bottom': '0'
//        }, 10);
//    });
//}


$('#menu-buscar-load').load('inc/menuBuscarLinea.html');
$('#menu-config-load').load('inc/menuConfig.html');
$('#menu-contacto-load').load('inc/menuContacto.html');
$('#menu-custom-load').load('inc/menuCustom.html');
$('#menu-datos-load').load('inc/menuDatos.html');
$('#menu-login-load').load('inc/menuLogin.html');
$('#menu-parq-load').load('inc/menuParq.html');
$('#menu-saldo-load').load('inc/menuSaldo.html');
$('#menu-ui-load').load('inc/menuUI.html');

//cerrar menu secundario
function cerrarSecundario() {
    //var menuSec = $('.carga-menu');
    //cargar el menu

    $('.carga-menu').animate({
        'left': '-101%'
    }, 400)
}

//mostrar el nombre
if (window.localStorage.getItem('login')) {
    $('#name').show();
} else {
    $('#name').hide();
}


//aplicar la perzonalizacion
function customUI() {
    //sacar los botones
    if (window.localStorage.getItem('custom-boton-recarga')) {
        $('#custom-boton-recarga').css('background', 'red');
        $('#boton-recarga').hide();
    }

    if (window.localStorage.getItem('custom-boton-recarga')) {
        $('#custom-boton-recarga').css('background', 'red');
        $('#boton-recarga').hide();
    }

    if (window.localStorage.getItem('custom-boton-parquimetros')) {
        $('#custom-boton-parquimetros').css('background', 'red');
        $('#boton-parquimetros').hide();
    }

    if (window.localStorage.getItem('custom-boton-residuos')) {
        $('#custom-boton-residuos').css('background', 'red');
        $('#boton-residuos').hide();
    }

    if (window.localStorage.getItem('custom-boton-buscar-linea')) {
        $('#custom-boton-buscar-linea').css('background', 'red');
        $('#boton-buscar-linea').hide();
    }

    if (window.localStorage.getItem('custom-boton-saldo')) {
        $('#custom-boton-saldo').css('background', 'red');
        $('#boton-saldo').hide();
    }

    if (window.localStorage.getItem('custom-boton-sugerencias')) {
        $('#custom-boton-sugerencias').css('background', 'red');
        $('#boton-sugerencias').hide();
    }

}
customUI();

